# Interface methods for submodule: CropImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ExtractImageFilterProxy as _ExtractImageFilterProxy


# Interface methods for class: CropImageFilter
class CropImageFilterProxy(_ExtractImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetUpperBoundaryCropSize(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetUpperBoundaryCropSize(self) -> Sequence[int]:
		""""""
		...

	def SetLowerBoundaryCropSize(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetLowerBoundaryCropSize(self) -> Sequence[int]:
		""""""
		...

	def SetBoundaryCropSize(self, s: Sequence[int]) -> None:
		""""""
		...

